Skip to main content
PATCH
/
customers
/
{id}
Update Customer
curl --request PATCH \
  --url https://api-sandbox.y.uno/v1/customers/{id} \
  --header 'Content-Type: application/json' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>' \
  --data '
{
  "email": "john.doe2@gmail.com"
}
'
"{\n    \"id\": \"94121f98-98f7-4d57-aa5f-228401d35b12\",\n    \"merchant_customer_id\": \"1744402154\",\n    \"first_name\": \"John\",\n    \"last_name\": \"Doe\",\n    \"gender\": \"F\",\n    \"date_of_birth\": \"1990-02-28\",\n    \"email\": \"john.doe2@gmail.com\",\n    \"nationality\": \"CO\",\n    \"country\": \"CO\",\n    \"document\": {\n        \"document_type\": \"CC\",\n        \"document_number\": \"1010268952\"\n    },\n    \"phone\": {\n        \"number\": \"3132450765\",\n        \"country_code\": \"57\"\n    },\n    \"billing_address\": {\n        \"address_line_1\": \"Calle 34 # 56 - 78\",\n        \"address_line_2\": \"Apartamento 502, Torre I\",\n        \"country\": \"CO\",\n        \"state\": \"Cundinamarca\",\n        \"city\": \"Bogotá\",\n        \"zip_code\": \"111111\",\n        \"neighborhood\": \"Test\"\n    },\n    \"shipping_address\": {\n        \"address_line_1\": \"Calle 34 # 56 - 78\",\n        \"address_line_2\": \"Apartamento 502, Torre I\",\n        \"country\": \"CO\",\n        \"state\": \"Cundinamarca\",\n        \"city\": \"Bogotá\",\n        \"zip_code\": \"111111\",\n        \"neighborhood\": \"Test\"\n    },\n    \"metadata\": [\n        {\n            \"key\": \"ID\",\n            \"value\": \"1234\"\n        }\n    ],\n    \"created_at\": \"2025-04-11T20:10:29.163144Z\",\n    \"updated_at\": \"2025-04-11T20:10:29.163141Z\",\n    \"merchant_customer_created_at\": \"2023-08-05T14:43:58.980718Z\"\n}\n"
You can update a customer created earlier with the POST/customers API request. The only required field for the request is the customer id. Other supported request fields are equal to the ones on the customer creation process. You need to specify only the fields you want to update. Every field is available for update.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

id
string
required

The unique identifier of the customer (UUID | MAX 36; MIN 36).

Body

application/json
merchant_customer_id
string

The unique identifier of the customer in the external merchant (MAX 255; MIN 3).

merchant_customer_created_at
string<date-time>

Customer´s registration date on the merchants platform (ISO 8601 MAX 27; MIN 27)

first_name
string

The customer's first name (MAX 255; MIN 3).

last_name
string

The customer's last name (MAX 255; MIN 3).

gender
string

The customer's gender.

date_of_birth
string

The customer's date of birth in the YYYY-MM-DD format (MAX 10; MIN 10).

email
string

The customer's e-mail (MAX 255; MIN 3).

nationality
enum<string>

The customer's nationality (MAX 2; MIN 2; ISO 3166-1).

Available options:
AF,
AX,
AL,
DZ,
AS,
AD,
AO,
AI,
AQ,
AG,
AR,
AM,
AW,
AU,
AT,
AZ,
BS,
BH,
BD,
BB,
BY,
BE,
BZ,
BJ,
BM,
BT,
BO,
BQ,
BA,
BW,
BV,
BR,
IO,
BN,
BG,
BF,
BI,
CV,
KH,
CM,
CA,
KY,
CF,
TD,
CL,
CN,
CX,
CC,
CO,
KM,
CG,
CD,
CK,
CR,
CI,
HR,
CU,
CW,
CY,
CZ,
DK,
DJ,
DM,
DO,
EC,
EG,
SZ,
GQ,
ER,
EE,
ET,
FK,
FO,
FJ,
FI,
FR,
GF,
PF,
TF,
GA,
GM,
GE,
DE,
GH,
GI,
GR,
GL,
GD,
GP,
GU,
GT,
GG,
GN,
GW,
GY,
HT,
HM,
VA,
HN,
HK,
HU,
IS,
IN,
ID,
IR,
IQ,
IE,
IM,
IL,
IT,
JM,
JP,
JE,
JO,
KZ,
KE,
KI,
KR,
KW,
KG,
LA,
LV,
LB,
LS,
LR,
LY,
LI,
LT,
LU,
MO,
MK,
MG,
MW,
MY,
MV,
ML,
MT,
MH,
MQ,
MR,
MU,
YT,
MX,
FM,
MD,
MC,
MN,
ME,
MS,
MA,
MZ,
MM,
NA,
NR,
NP,
NL,
NC,
NZ,
NI,
NE,
NG,
NU,
NF,
MP,
NO,
OM,
PK,
PW,
PS,
PA,
PG,
PY,
PE,
PH,
PN,
PL,
PT,
PR,
QA,
RE,
RO,
RU,
RW,
BL,
SH,
KN,
LC,
MF,
PM,
VC,
WS,
SM,
ST,
SA,
SN,
RS,
SC,
SL,
SG,
SX,
SK,
SI,
SB,
SO,
ZA,
GS,
SS,
ES,
LK,
SD,
SR,
SJ,
SE,
CH,
SY,
TW,
TJ,
TZ,
TH,
TL,
TG,
TK,
TO,
TT,
TN,
TR,
TM,
TC,
TV,
UG,
UA,
AE,
GB,
US,
UM,
UY,
UZ,
VU,
VE,
VN,
VG,
VI,
WF,
EH,
YE,
ZM,
ZW
country
enum<string>

The customer's country (MAX 2; MIN 2; ISO 3166-1).

Available options:
AF,
AX,
AL,
DZ,
AS,
AD,
AO,
AI,
AQ,
AG,
AR,
AM,
AW,
AU,
AT,
AZ,
BS,
BH,
BD,
BB,
BY,
BE,
BZ,
BJ,
BM,
BT,
BO,
BQ,
BA,
BW,
BV,
BR,
IO,
BN,
BG,
BF,
BI,
CV,
KH,
CM,
CA,
KY,
CF,
TD,
CL,
CN,
CX,
CC,
CO,
KM,
CG,
CD,
CK,
CR,
CI,
HR,
CU,
CW,
CY,
CZ,
DK,
DJ,
DM,
DO,
EC,
EG,
SZ,
GQ,
ER,
EE,
ET,
FK,
FO,
FJ,
FI,
FR,
GF,
PF,
TF,
GA,
GM,
GE,
DE,
GH,
GI,
GR,
GL,
GD,
GP,
GU,
GT,
GG,
GN,
GW,
GY,
HT,
HM,
VA,
HN,
HK,
HU,
IS,
IN,
ID,
IR,
IQ,
IE,
IM,
IL,
IT,
JM,
JP,
JE,
JO,
KZ,
KE,
KI,
KR,
KW,
KG,
LA,
LV,
LB,
LS,
LR,
LY,
LI,
LT,
LU,
MO,
MK,
MG,
MW,
MY,
MV,
ML,
MT,
MH,
MQ,
MR,
MU,
YT,
MX,
FM,
MD,
MC,
MN,
ME,
MS,
MA,
MZ,
MM,
NA,
NR,
NP,
NL,
NC,
NZ,
NI,
NE,
NG,
NU,
NF,
MP,
NO,
OM,
PK,
PW,
PS,
PA,
PG,
PY,
PE,
PH,
PN,
PL,
PT,
PR,
QA,
RE,
RO,
RU,
RW,
BL,
SH,
KN,
LC,
MF,
PM,
VC,
WS,
SM,
ST,
SA,
SN,
RS,
SC,
SL,
SG,
SX,
SK,
SI,
SB,
SO,
ZA,
GS,
SS,
ES,
LK,
SD,
SR,
SJ,
SE,
CH,
SY,
TW,
TJ,
TZ,
TH,
TL,
TG,
TK,
TO,
TT,
TN,
TR,
TM,
TC,
TV,
UG,
UA,
AE,
GB,
US,
UM,
UY,
UZ,
VU,
VE,
VN,
VG,
VI,
WF,
EH,
YE,
ZM,
ZW
document
object

Specifies the customer's document object, including its number and type.

phone
object

Specifies the customer's phone number object.

billing_address
object

Specifies the customer's billing address object.

shipping_address
object

Specifies the customer's shipping address object.

metadata
object[]

Specifies a list of metadata objects. You can add up to 50 metadata objects.

Response

200

id
string
Example:

"94121f98-98f7-4d57-aa5f-228401d35b12"

merchant_customer_id
string
Example:

"1744402154"

first_name
string
Example:

"John"

last_name
string
Example:

"Doe"

gender
string
Example:

"F"

date_of_birth
string
Example:

"1990-02-28"

email
string
Example:

"john.doe2@gmail.com"

nationality
string
Example:

"CO"

country
string
Example:

"CO"

document
object
phone
object
billing_address
object
shipping_address
object
metadata
object[]
created_at
string
Example:

"2025-04-11T20:10:29.163144Z"

updated_at
string
Example:

"2025-04-11T20:10:29.163141Z"

merchant_customer_created_at
string
Example:

"2023-08-05T14:43:58.980718Z"